cmtspeech_event_s Struct Reference

Protocol state change event. More...

`#include <cmtspeech.h>`

## Data Fields

int | state
| new state (CMTSPEECH_STATE_*)
int | prev_state
| previous state
int | msg_type
| type of the message that caused the state change
int | reserved
| reserved
union { |
} | msg |
| A copy of the protocol message that caused the state change (matching 'msg_type' field).

## Detailed Description

Protocol state change event.

The documentation for this struct was generated from the following file:

- cmtspeech.h